org.gnome.gtk

## Class TextDirection

- Object
- - org.freedesktop.bindings.Constant
  - - org.gnome.gtk.TextDirection

-     public final class TextDirection
      extends org.freedesktop.bindings.Constant

  Constants used to describe the direction of the text inside a widget.
  Since:
    4.1.2
  Author:
    Guillaume Mazoyer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TextDirection` | `LEFT_TO_RIGHT` The text is written from left to right.
    `static TextDirection` | `NONE` No direction specified.
    `static TextDirection` | `RIGHT_TO_LEFT` The text is written from right to left.

  - ### Method Summary

    - ### Methods inherited from class org.freedesktop.bindings.Constant

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### LEFT_TO_RIGHT

          public static final TextDirection LEFT_TO_RIGHT

      The text is written from left to right.

    - #### NONE

          public static final TextDirection NONE

      No direction specified.

    - #### RIGHT_TO_LEFT

          public static final TextDirection RIGHT_TO_LEFT

      The text is written from right to left.